@font-face {
    font-family: 'smashfont';
    src: url('./fonts/smashfont.ttf'),
}

body, html {
    min-height: 100% !important;    
    margin: 0;
    padding: 0;
}

body {
    background-image: 
    linear-gradient(
        rgba(177, 177, 177, 0.7) 0%, 
        rgba(230, 230, 240, 0.7) 35%, 
        rgba(255, 255, 255, 0.7) 65%, 
        rgba(177, 177, 177, 0.7) 100%
    ), 
    url(./imgs/background.webp);
background-size: cover;
background-repeat: repeat-y; /* Solo repetición vertical */
margin: 0;
padding: 0;
}



.escenario {
    width: 100%;
    max-width: 250px;
    height: 250px;
    margin: 10px auto;
    position: relative;
    cursor: pointer;
    overflow: hidden;
    border: 3px solid white;
    border-radius: 8px;
    box-shadow: 0px 0px 4px 0px rgba(0, 0, 0, 0.3);
}

.escenario img {
    width: 100%;
    height: 100%;
    border-radius: 8px;
    object-fit: cover;
    z-index: 1;
}

.escenario::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    border-radius: 8px;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    opacity: 0;
    z-index: 2;
    transition: opacity 0.1s ease-in-out;
}

.escenario.selected::before {
    opacity: 1;
}

.escenario .nombre-escenario {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    background: rgba(0, 0, 0, 0.5);
    color: white;
    text-align: center;
    font-weight: 900;
    font-size: 0.65em;
    padding: 4px;
    transition: opacity 0.1s ease-in-out;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    border-radius: 8px;
}

.centered-img-arrow {
    display: none;

    width: 35px !important;
    height: 50px !important;
    background:#00366f;
    z-index: 1000;
    zoom: 0.85;
}

.arrows {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    gap: 10px;
    z-index: 1001;
}



.cross-overlay {
    position: absolute;
    top: 50%;
    left: 50%;
    zoom: 1.25;
    transform: translate(-50%, -50%) scale(0);
    transition: transform 0.1s ease-in-out;
    z-index: 3;
}

.cross-overlay img {
    width: 60px;
    height: 60px;
}

.reset-button {
    position: fixed;
    bottom: 20px;
    right: 20px;
    background-image: linear-gradient(to right, #6a11cb 0%, #2575fc 100%);
    border: none;
    border-radius: 50%;
    width: 50px;
    color: white;
    font-weight: 700;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    transition: transform 0.3s;
    z-index:10000;
}

.reset-button:hover {
    transform: scale(1.1);
}

h1 {
    text-align: center;
    font-family: 'smashfont', sans-serif;
}

.styled-text {
    display: flex;
    align-items: center;
}

hr {
    flex-grow: 1;
    height: 1px;
    background-color: #848080;
    border: none;
    margin: 0 10px;

}

.styled-text hr:last-child {
    width: 40%;
}



ul {
    list-style: none;
    padding: 0.5rem;
    background: white;
    border-radius: 8px;
    border: 2px solid #00366f;
    box-shadow: 0px 0px 2px 0px rgba(0, 0, 0, 0.2);
}

li {
    margin-bottom: 10px;
    display: flex;
    align-items: center;
}

.custom-image {
    width: 32px;
    margin-right: 10px;
}

.gamephase {
    color: black;
    font-weight: 600;
}

.flags-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 1rem;
}

.flag {
    width: 24px;
}

.pressContainer {
    background: #ffffff80;
    border-radius: 8px;
    padding: 0.2rem;
    text-align: center;
    margin-bottom: 1rem;
    font-weight: 600;
    display:none;
}

.shortRulesetContainer{
    display: flex;
    justify-content:space-between;
    align-items: center; /* Centrar verticalmente */



}
.shortRuleset{

    width:45px !important;
}
.footer {
    text-align: center;
    padding: 10px;
    _background-color: rgba(255, 255, 255, 0.7);
}

.footer a {
    text-decoration: none;
    color: #333;
}

.footer a:hover {
    text-decoration: underline;
}

.language {
    cursor: pointer;
    border: 2px solid transparent;
    border-radius: 50%;
}

.language.active {
    border-color: white;
    box-shadow: 0px 0px 4px 0px rgba(0, 0, 0, 0.5);
}


.region {
    cursor: pointer;
    border: 2px solid transparent;
    border-radius: 50%;
}
.region.selected{
    border-color: white;
    box-shadow: 0px 0px 4px 0px rgba(0, 0, 0, 0.5);
}

.buy-me-a-beer {
    margin-top: 10px;

}

.bmc-btn {
    min-width: unset !important;
    color: #000000;
    background-color: #FFDD00 !important;
    height: 27px !important;
    border-radius: 12px;
    font-size: 14px !important;
    font-weight: Bold;
    border: none;
    padding: 0px 24px;
    line-height: 27px;
    text-decoration: none !important;
    display: inline-flex !important;
    align-items: center;
    font-family: 'Poppins', sans-serif !important;
    -webkit-box-sizing: border-box !important;
    box-sizing: border-box !important;
}

.panelInfo{
    border:1px solid #00366f;
    border-radius:8px;
    padding:0.5rem;
}

.displayFirstOptions{
    display: flex;
    justify-content: center;
    gap: 20px; /* Espacio entre los botones */
    
}

.displayFirstOptions{
    display: flex;
    justify-content: center;
    gap: 20px; /* Espacio entre los botones */
}

.displayFOusa{
    background-color: rgb(71 124 201 / 20%);
    border: 2px solid #00366f; /* Borde con color */
    border-radius: 8px; /* Esquinas redondeadas */
    padding: 0.5rem; /* Espaciado interno */
    box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.3); /* Sombra suave */
}

#gameButtonsContainer {
    display: flex;
    justify-content: center;
    gap: 20px; 
    
}



.gameBCusa{
    background-color: rgba(255, 255, 255, 0.1); /* Fondo con transparencia */
    border: 2px solid #00366f; /* Borde con color */
    border-radius: 8px; /* Esquinas redondeadas */
    padding: 0.5rem; /* Espaciado interno */
    box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.3); /* Sombra suave */
}


.gameButton {
    background-color: white;
    color: #00366f;
    border: 4px solid transparent;
    padding: 8px;  /* Ajustado */
    border-radius: 5px;
    display: flex;
    align-items: center;
    gap: 8px;  /* Ajustado */
    cursor: pointer;
    _transition: border 0.3s ease-in-out;
}

.gameButton img {
    width: 25px;  /* Ajustado */
}

.gameButton p {
    margin: 0;
    font-size: 14px;  /* Ajustado */
}

.gameButton.selected {
    border: 3px solid #00366f;
    
    
}

.escenarios-wrapper {
    position: relative;
    /* Asegúrate de que no hay márgenes o paddings que puedan afectar la posición del overlay */
    margin: 0;
    padding: 0;
}

.row.escenarios-container {
    /* Si hay algún margen o padding aquí, también podría afectar la posición del overlay */
    position: relative;

    margin: 0;
    /* padding: 0; */
}

.nameCategory{
    text-align: center;
    color:#00366f;
    font-weight: 700;
    font-size: 1.2rem;;
}

#overlay {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 10px;
    background-color: rgba(0, 0, 0, 0.7);
    border-radius: 8px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    z-index: 4;
}

#overlay img {
    width: 50%; /* Ajusta según tus necesidades */
    transform: rotate(-90deg);
    position: absolute;
    top: 25%;
    left: 50%;
    transform: translate(-50%, -50%) rotate(-90deg);
}

#overlay p {
    color: white;
    font-size: 24px;
    text-align: center;
    _margin: 0;  /* Asegúrate de que no hay margen que pueda desplazar el texto */
    padding:1rem;
}
.fade-out {
    animation-name: fadeOut;
    animation-duration: 0.5s;
    animation-fill-mode: both;
}

@keyframes fadeIn {
    from { opacity: 0; }
    to { opacity: 1; }
}

@keyframes fadeOut {
    from { opacity: 1; }
    to { opacity: 0; }
}


.modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    animation-name: fadeIn;
    animation-duration: 0.5s;
}

.modal-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 20px;
    background-color: #fff;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    animation-name: slideDown;
    animation-duration: 0.5s;
    width:90%;
}

.close-btn {
    position: absolute;
    top: 5px;
    right: 10px;
    cursor: pointer;
}

#acceptModal{
   padding:0.5rem;
   background-color: #00366f;
   color:white;
   border-radius: 8px;
   box-shadow: 0px, 0px, 4px, 0px rgba(0, 0, 0, 0.5); 
   width: fit-content;
   text-align: end;
}



@keyframes slideDown {
    from {
        top: 0;
        opacity: 0;
    }
    to {
        top: 50%;
        opacity: 1;
    }
}


.section-title {
    display: block;
    font-size: 15px;
    font-weight: bold;
    border-bottom: 2px solid #000;
}

.escenarios-grouped {
    background-color: rgba(255, 255, 255, 0.5); /* Fondo blanco semitransparente */
    border-radius: 8px; /* Esquinas redondeadas */
    border: 2px solid #0000FF; /* Borde azul */
    padding: 15px; /* Espaciado interno */
    margin-bottom: 20px; /* Espaciado entre grupos de escenarios */
}


.counterpicks{
    margin-top:1rem !important;
}




.overlay-europe{
    top:10px !important;
}

.overlay-japan{
    bottom:0px !important
}


.firstCategory{
    background-color: whitesmoke !important;
}


.modal {
    display: none;
  }
  
  .modal.is-open {
    display: block;
  }
  
@media (max-width: 767px) and (orientation: portrait) {

    #overlay img {
        width: 30%; /* Ajusta según tus necesidades */
        transform: rotate(-90deg);
        position: absolute;
        top: 20%;
        left: 50%;
        transform: translate(-50%, -50%) rotate(-90deg);
    }
    .escenario {
        height: 95px;
        width: 100%;
    }

    .escenario.selected::before {
        opacity: 0.7;
    }

 
    .overlay-europe{
        top:10px !important;

    }
}


.chooseRegion {
    display: flex;
    justify-content: center;
    align-items: center;
}

.chooseRegion > div {
        background: #ffffff80;
        border-radius: 8px;
        padding: 0.2rem;
        width: fit-content;
        _border:2px solid;
        margin-bottom:1rem;
}




#info-europe {
    display: block;
}


.chooseRegion div {
    cursor: pointer;
}

.info {
    display: none;
}




.selected {
    border: 3px solid white;
}



.escenarios-grouped {
    background-color: rgba(255, 255, 255, 0.5); /* Fondo blanco semitransparente */
    border-radius: 8px; /* Esquinas redondeadas */
    border: 2px solid #00366f; /* Borde azul */
    /* padding: 15px;  */
    margin-bottom: 20px; /* Espaciado entre grupos de escenarios */
    /* padding:6px; */
}







@media (max-width: 1023px) and (orientation: landscape) {

    #overlay{
        top:0;
        bottom:0;
    }

    #overlay img {
        width: 18%; /* Ajusta según tus necesidades */
        transform: rotate(-90deg);
        position: absolute;
        top: 25%;
        left: 50%;
        transform: translate(-50%, -50%) rotate(-90deg);
    }
    .escenario {
        _width: 94px !important;
        height: 100px !important;
        ;
        margin: auto;
    }

    .col-md-2 .col-sm-4 .col-4 {
        padding: 0px !important;
    }

    .gameButton{
        margin-bottom:1rem;
    }
    .overlay-europe{
        top:0px !important;
    }

}
body, html {
    height: 100%;
    margin: 0;
    padding: 0;
}

.cookie-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.7);
    z-index: 999;
    display: flex;
    justify-content: center;
    align-items: center;
}

.cookie-modal {
    background-color: #ffffff;  /* Establece el fondo del modal en blanco. */
    border-radius: 5px;
    box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.3);
    padding: 20px;
    width: 90%;
    max-width: 400px;
}

.cookie-message {
    margin-bottom: 20px;
    font-size: 14px;
}

.cookie-btn {
    cursor: pointer;
    border: none;
    padding: 6px 15px;  /* Ajustado el padding para reducir el tamaño del botón. */
    margin: 0 5px;
    border-radius: 3px;
    transition: background-color 0.3s, border-color 0.3s;
    font-weight: bold;
    font-size: 12px;  /* Reducido el tamaño de la fuente para los botones. */
    float:right;
}

.cookie-btn-accept {
    background-color: #00366f;
    border: 1px solid #00366f;
    color: #ffffff;
}

.cookie-btn-accept:hover {
    background-color: #004a8d;
}

.cookie-btn-decline {
    border: 1px solid #888888;
    background-color: transparent;
    color: #888888;
}

.cookie-btn-decline:hover {
    border-color: #666666;
    color: #666666;
}